SoProfilerOverlayKit(3)

NAME
SoProfilerOverlayKit - The SoProfilerOverlayKit element class is yet to be documented.

SYNOPSIS

#include <Inventor/annex/Profiler/nodekits/SoProfilerOverlayKit.h>

Inherits SoBaseKit.

Inherited by SoProfilerTopKit.

  Public Member Functions
virtual SoType getTypeId (void) const
virtual const SoNodekitCatalog * getNodekitCatalog (void) const
SoProfilerOverlayKit (void)
void addOverlayGeometry (SoNode *node)

  Static Public Member Functions
static SoType getClassTypeId (void)
static const SoNodekitCatalog * getClassNodekitCatalog (void)
static void initClass (void)

  Public Attributes
SoSFVec3f viewportSize

  Protected Member Functions
virtual const SoFieldData * getFieldData (void) const
virtual ~SoProfilerOverlayKit (void)

  Static Protected Member Functions
static const SoFieldData ** getFieldDataPtr (void)
static const SoNodekitCatalog ** getClassNodekitCatalogPtr (void)

  Protected Attributes
SoSFNode topSeparator
SoSFNode profilingStats
SoSFNode viewportInfo
SoSFNode overlayCamera
SoSFNode depthTestOff
SoSFNode overlaySep
SoSFNode depthTestOn

  Additional Inherited Members

Detailed Description

The SoProfilerOverlayKit element class is yet to be documented.

Constructor & Destructor Documentation

  SoProfilerOverlayKit::SoProfilerOverlayKit (void)
Constructor.

  SoProfilerOverlayKit::~SoProfilerOverlayKit (void) [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoProfilerOverlayKit::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoProfilerOverlayKit::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

Reimplemented from SoBaseKit.

Reimplemented in SoProfilerTopKit.

  const SoFieldData ** SoProfilerOverlayKit::getFieldDataPtr (void) [static], [protected]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Returns the SoFieldData class which holds information about fields in this node.

  const SoFieldData * SoProfilerOverlayKit::getFieldData (void) const [protected], [virtual]
Returns a pointer to the class-wide field data storage object for this instance. If no fields are present, returns NULL.

Reimplemented from SoBaseKit.

Reimplemented in SoProfilerTopKit.

  const SoNodekitCatalog * SoProfilerOverlayKit::getClassNodekitCatalog (void) [static]
Returns the nodekit catalog which defines the layout of this class' kit.

  const SoNodekitCatalog * SoProfilerOverlayKit::getNodekitCatalog (void) const [virtual]
Returns the nodekit catalog which defines the layout of this class' kit.

Reimplemented from SoBaseKit.

Reimplemented in SoProfilerTopKit.

  const SoNodekitCatalog ** SoProfilerOverlayKit::getClassNodekitCatalogPtr (void) [static], [protected]
Returns the pointer to the pointer of the nodekit catalog for this class.

  void SoProfilerOverlayKit::addOverlayGeometry (SoNode * node)
Display profiling scene graph on top of the regular viewport.

Parameters
    node Scene graph to display

Author

Generated automatically by Doxygen for Coin from the source code.